<?php
// $Id$

/**
 * @file
 *   Versus Views support.
 */

/**
 * Implementation of hook_views_default_views().
 */
function versus_views_default_views() {

  // Define an exported view.
  $view = new view;
  $view->name = 'versus_standings';
  $view->description = 'The Versus standings organized by content type (& competition if applicable)';
  $view->tag = 'versus';
  $view->view_args_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0-alpha1;
  $view->disabled = FALSE;

  /* Display:   */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
    'title' => 'title',
    'name' => 'name',
    'votes' => 'votes',
  );
  $handler->display->display_options['style_options']['default'] = 'votes';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'votes' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';

  /* Empty texy (display with empty view): Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'As yet, no votes have been cast for this content type.';
  $handler->display->display_options['empty']['area']['format'] = '1';

  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = 'Node ID';

  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Name';
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;

  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Author';

  /* Field: Voting: Versus votes */
  $handler->display->display_options['fields']['votes']['id'] = 'votes';
  $handler->display->display_options['fields']['votes']['table'] = 'versus';
  $handler->display->display_options['fields']['votes']['field'] = 'votes';
  $handler->display->display_options['fields']['votes']['label'] = 'Votes';

  /* Argument: Node: Type */
  $handler->display->display_options['arguments']['type']['id'] = 'type';
  $handler->display->display_options['arguments']['type']['table'] = 'node';
  $handler->display->display_options['arguments']['type']['field'] = 'type';
  $handler->display->display_options['arguments']['type']['default_action'] = 'summary asc';
  $handler->display->display_options['arguments']['type']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['type']['title'] = '%1 Standings';
  $handler->display->display_options['arguments']['type']['default_argument_type'] = 'fixed';

  /*
  // This argument should only exist when the Competition module is enabled.
  if (module_exists('competition')) {
    $view->argument[] = array(
      'type' => 'competition_id',
      'argdefault' => '4',
      'title' => '%1 Standings for %2',
      'options' => '',
      'wildcard' => '',
      'wildcard_substitution' => '',
    );
  }*/

  /* Filter: Node: Publish */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';

  /* Display: Standings by Content Type */
  $handler = $view->new_display('page', 'Standings by Content Type', 'standings');
  $handler->display->display_options['path'] = 'versus/standings';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'View Standings';
  $handler->display->display_options['menu']['weight'] = '0';

  // $view->requires = array(node, users, versus);

  $views[$view->name] = $view;

  // Return the defined views.
  return $views;
}

